Bug 345261 - Review Request: libmikmod - A MOD music file player library
Review Request: libmikmod - A MOD music file player library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 10:30 EDT by Jindrich Novy
Modified: 2013-07-02 19:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 06:31:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2007-10-22 10:30:05 EDT
Spec URL: http://people.redhat.com/jnovy/files/libmikmod/libmikmod.spec
SRPM URL: http://people.redhat.com/jnovy/files/libmikmod/libmikmod-3.1.11-1.fc8.src.rpm
Description:

mikmod comes with a libmikmod library, which is installed into a buildroot and mikmod is linked against it. This causes there are direct links to buildroot in the mikmod executable what prevents mikmod to be successfuly build -> rhbz#339881. 

General solution is to package libmikmod separately, so that mikmod could BR it and also other users could use libmikmod as soon as it's packaged separately.
Comment 1 Lubomir Kundrak 2007-10-23 09:51:40 EDT
Please correct the %description to say that this is actually a library, not the
player. Maybe also the mikmod description should be adjusted not to mention the
obsolete OSS (I see the library has patch for ESound output).

You don't pass %{_smp_flags} to make. Please either comment why are concurrent
builds not feasible, or add the flags.
Comment 2 Lubomir Kundrak 2007-10-23 09:58:54 EDT
rpmlint:

$ rpmlint
/var/lib/mock/fedora-development-i386/result/libmikmod-3.1.11-1.fc8.i386.rpm 
$ rpmlint
/var/lib/mock/fedora-development-i386/result/libmikmod-3.1.11-1.fc8.src.rpm 
$ rpmlint /var/lib/mock/fedora-development-i386/result/libmikmod-de
libmikmod-debuginfo-3.1.11-1.fc8.i386.rpm  libmikmod-devel-3.1.11-1.fc8.i386.rpm
     
$ rpmlint
/var/lib/mock/fedora-development-i386/result/libmikmod-devel-3.1.11-1.fc8.i386.rpm 
libmikmod-devel.i386: W: spurious-executable-perm /usr/lib/libmikmod.a
libmikmod-devel.i386: W: summary-ended-with-dot Header files and documentation
for compiling mikmod applications.
$ rpmlint
/var/lib/mock/fedora-development-i386/result/libmikmod-debuginfo-3.1.11-1.fc8.i386.rpm

$

Please deal with those
Comment 3 Jindrich Novy 2007-10-23 11:20:08 EDT
Updated, please check again.
Comment 4 Lubomir Kundrak 2007-10-23 11:36:35 EDT
Aright, outstanding issues have been solved, I see no other problems, and so do
qa script and rpmlint. Therefore, the package is

APPROVED
Comment 5 Jindrich Novy 2007-10-23 11:45:46 EDT
New Package CVS Request
=======================
Package Name: libmikmod
Short Description: A MOD music file player library
Owners: jnovy
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 6 Toshio Ernie Kuratomi 2007-10-23 13:55:28 EDT
cvs done.
Comment 7 Jindrich Novy 2007-10-24 06:31:17 EDT
Imported. Thanks!
Comment 8 Peter Robinson 2010-06-10 16:11:56 EDT
Package Change Request
======================
Package Name: libmikmod
New Branches: EL-6
Owners: pbrobinson sdz
Comment 9 Kevin Fenzi 2010-06-11 00:32:58 EDT
Have you checked with jnovy to see if he would like to maintain this in EPEL?
Comment 10 Jindrich Novy 2010-07-09 02:16:25 EDT
I've been just contacted because of the mikmod branching request because of SDL_mixer dependency in EPEL-6 which makes sense.

Kevin, could you please process the CVS request in comment #8?

Thanks!
Comment 11 Kevin Fenzi 2010-07-09 14:09:07 EDT
Happy to do so. Thanks for the info. 

CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.